﻿@using ARGNS.WebSite.Resources.Views.DataTables;
@model Tuple<List<ARGNSModelView>, int, int>

@{
	bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleGrid.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
	bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleGrid.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
	bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleGrid.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
	bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.StyleGrid.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="row list-group" id="TableItemsGrid">
	<div class="col-xs-6 col-md-6 pull-left">
		@DataTables.Show
		<select id="PageQtyItemsGrid" class="QuantitySelector">
			<option @(Model.Item3 == 10 ? "selected" : "") value="10">10</option>
			<option @(Model.Item3 == 25 ? "selected" : "") value="25">25</option>
			<option @(Model.Item3 == 50 ? "selected" : "") value="50">50</option>
		</select>
		@DataTables.Entries
	</div>
	<div class="col-xs-6 col-md-6 pull-right no-padding">
		<button id="NextItemsGrid" onclick="mStartItemsGrid = mStartItemsGrid + Number($('#PageQtyItemsGrid').val()); GetItemsGrid();" class="btn btn-success btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
		<button id="PreviousItemsGrid" onclick="mStartItemsGrid = mStartItemsGrid - Number($('#PageQtyItemsGrid').val()); GetItemsGrid();" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
		<input type="number" id="TotalQuantityItemsGrid" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2">
	</div>
	<div class="clear_simple"></div>
	<div class="cuadro_preseason">
		<div class="cuadro_preseason_content">
			<div class="list_products">

				@foreach (ARGNSModelView item in Model.Item1)
				{
					<div class="item  col-xs-4 col-lg-3">
						<div class="thumbnail">
							@if (!string.IsNullOrEmpty(item.ImageName.Trim()))
				{
								<div class="photo_list">
									@if (_Update)
									{
										<a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "UpdateModel", @ModelCode = item.Code, @pU_ModCode = item.U_ModCode, @From = "Grid" })' target="_blank">
											<img class="" src="/images/@item.U_ModCode/@item.ImageName" alt="" />
										</a>
									}
									else
									{
										<img class="" src="/images/@item.U_ModCode/@item.ImageName" alt="" />
									}
								</div>
				}
				else
				{
								<div class="photo_list">
									@if (_Update)
									{

										<a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "UpdateModel", @ModelCode = item.Code, @pU_ModCode = item.U_ModCode, @From = "Grid" })' target="_blank">
											<img class="" src="~/Content/img/noimage.gif" alt="" />
										</a>
									}
									else
									{
										<img class="" src="~/Content/img/noimage.gif" alt="" />
									}
								</div>
				}
							<div class="caption">
								<div class="thumb_data"><strong>@PDM.Code</strong>: @item.U_ModCode </div>
								<div class="thumb_data"><strong>@PDM.Desc</strong>: @item.U_ModDesc </div>
								<div class="thumb_data"><strong>@PDM.Season</strong>: @item.U_Season</div>
								<div class="thumb_data"><strong>@PDM.PG</strong>: @item.U_ModGrp</div>
								<div class="thumb_data"><strong>@PDM.Brand</strong>: @item.U_Brand </div>
								<div class="thumb_data"><strong>@PDM.Coll</strong>:@item.U_CollCode</div>
								<div class="thumb_data"><strong>@PDM.SubColl</strong>: @item.U_AmbCode</div>
								<div class="thumb_data">
									@if (_Update)
									{
										<a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "UpdateModel", @ModelCode = item.Code, @pU_ModCode = item.U_ModCode, @From = "Grid" })' target="_blank" class="btn btn-primary btn-xs">
											<span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.Edit
										</a>
									}
								</div>

							</div>
						</div>
					</div>
				}

			</div>
		</div>
	</div>
</div>
@if (_Add)
{
	<div class="col-md-2 pull-right but_blok_footer ">
		<a href='@Url.Action("ActionPDM", "PDM", new { @ActionPDM = "AddModel", @ModelCode = "0", @pU_ModCode = "0", @From = "Grid" })' class="btn btn-success btn-ls pull-right ">
			<span class="glyphicon glyphicon-file"></span>&nbsp;@PDM.Add
		</a>
	</div>
}




